Bug 802829 - (CVE-2012-0250) CVE-2012-0250 quagga (ospfd): Crash by processing LS-Update OSPF packet due improper length check of the Network-LSA structures
CVE-2012-0250 quagga (ospfd): Crash by processing LS-Update OSPF packet due i...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120328,reported=2...
: Security
Depends On: 808357 845163 845526 845528 845529
Blocks: 738408
  Show dependency treegraph
 
Reported: 2012-03-13 11:20 EDT by Jan Lieskovsky
Modified: 2015-11-24 10:09 EST (History)
3 users (show)

See Also:
Fixed In Version: quagga 0.99.20.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-13 08:10:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-13 11:20:35 EDT
A denial service flaw was found in the way Quagga's ospfd daemon processed certain OSPF LS-Update packets. An adjacent OSPF router could send an OSPF Link State Update (LS-Update) packet with a specially-crafted value of the included Network-LSA structures, which once processed would cause the vulnerable ospfd daemon to crash (due to a buffer overflow). A different vulnerability than CVE-2012-0249.

Upstream bug report:
[1] https://bugzilla.quagga.net/show_bug.cgi?id=705

Upstream patches:
[2]  http://git.savannah.gnu.org/cgit/quagga.git/commit/?h=security/0.99.20&id=393b2d64dc0625ba8e01e9e1516efac06d13072e
[3]  http://git.savannah.gnu.org/cgit/quagga.git/commit/?h=security/0.99.20&id=099ed6744881e71957f2bfeebc4c0727714d2394
[4]  http://git.savannah.gnu.org/cgit/quagga.git/commit/?h=security/0.99.20&id=3092cd57fb44c8293995d013bd86937d1a91745f
[5]  http://git.savannah.gnu.org/cgit/quagga.git/commit/?h=security/0.99.20&id=3779a3bf9d27b3cccda7e45223884257af362c28
[6]  http://git.savannah.gnu.org/cgit/quagga.git/commit/?h=security/0.99.20&id=7edfc01207f3eee8f26d5c22cfef7c7f030c52ce
[7]  http://git.savannah.gnu.org/cgit/quagga.git/commit/?h=security/0.99.20&id=fba10fc38f482c617fdfbb81b8d855df56eeda51
[8]  http://git.savannah.gnu.org/cgit/quagga.git/commit/?h=security/0.99.20&id=b03ae9f2d22acd8e3f97714a9c0df744676e344d
[9]  http://git.savannah.gnu.org/cgit/quagga.git/commit/?h=security/0.99.20&id=1bdd96caefaa76883bece4d358a60dc890f1e375
[10] http://git.savannah.gnu.org/cgit/quagga.git/commit/?h=security/0.99.20&id=e5fa148725fb2a3d1a8df12683f023ff9d65273f
[11] http://git.savannah.gnu.org/cgit/quagga.git/commit/?h=security/0.99.20&id=a59c5401a2df169de2c780f13a4563548c04a2b7
Comment 5 Jan Lieskovsky 2012-03-30 04:56:01 EDT
Public via:
http://www.kb.cert.org/vuls/id/551715
Comment 6 Jan Lieskovsky 2012-03-30 04:58:34 EDT
Created quagga tracking bugs for this issue

Affects: fedora-all [bug 808357]
Comment 7 Fedora Update System 2012-04-19 23:07:11 EDT
quagga-0.99.20.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-04-21 23:43:32 EDT
quagga-0.99.20.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-04-21 23:48:29 EDT
quagga-0.99.20.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 errata-xmlrpc 2012-09-12 16:05:57 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1259 https://rhn.redhat.com/errata/RHSA-2012-1259.html
Comment 16 errata-xmlrpc 2012-09-12 16:06:29 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1258 https://rhn.redhat.com/errata/RHSA-2012-1258.html
Comment 17 Murray McAllister 2012-09-12 22:54:39 EDT
Acknowledgements:

Red Hat would like to thank the CERT/CC for reporting this issue. The CERT/CC acknowledges Martin Winter at OpenSourceRouting.org as the original reporter.

Note You need to log in before you can comment on or make changes to this bug.